function [err] = check(pphi,alpha,psi,beta,kap1,kap2,KSI,omeg,sigv,theta)

err(1)=1-(pphi+(1-alpha)*psi*(beta*kap2-KSI))*kap1+beta*kap1*kap1;
err(2)=-pphi*kap2+beta*kap1*kap2+beta*kap2*alpha-beta*(1-alpha)*kap2*psi*kap2-KSI*alpha+(1-alpha)*KSI*psi*kap2;
err(3)=psi-(omeg-sigv)*(1-alpha*beta)/((1+theta*omeg)*(1-alpha*beta*kap1)+(omeg-sigv)*alpha*beta*kap2);

if max(abs(err)) > 0.1e-9
    disp('warning (check) equations not satisfied at the proposed solution')
    err
end
